## org.eclipse.datatools.sqltools.common.ui.preferences
Class AbstractDBPreferenceFieldPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  org.eclipse.datatools.sqltools.common.ui.preferences.AbstractDBPreferenceFieldPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.swt.widgets.Listener, org.eclipse.ui.IWorkbenchPreferencePage

Direct Known Subclasses:
  CodeAssistPage, ExecutionPlanPage, SQLResultsViewPage

    public abstract class AbstractDBPreferenceFieldPage

extends org.eclipse.jface.preference.FieldEditorPreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage, org.eclipse.swt.widgets.Listener

The preference pages in DTP that want to accomodate vendor specific setting should extend this class, which manages the vendor settings by notifying the IDataServerPreferenceSection at propriate time. Also this is FieldEditorPreferencePage, subclass can choose not to use FieldEditor by passing "false" to the constructor. Normally subclass needs to implement getPreferencePageId() to tell the parent class which IDataServerPreferenceSection to load and to override init(IWorkbench workbench) to set the proper preference store.

Author:
  Dafan Yang, Hui Cao

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AbstractDBPreferenceFieldPage()`
`AbstractDBPreferenceFieldPage(boolean useFieldEditor)`
`AbstractDBPreferenceFieldPage(int style)`
`AbstractDBPreferenceFieldPage(java.lang.String title, org.eclipse.jface.resource.ImageDescriptor image, int style)`
`AbstractDBPreferenceFieldPage(java.lang.String title, int style)`

Method Summary
`abstract java.lang.String` `getPreferencePageId()`
`void` `handleEvent(org.eclipse.swt.widgets.Event event)`
`void` `init(org.eclipse.ui.IWorkbench workbench)` subclass should override this method to set proper preference store
`boolean` `performOk()`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`dispose, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage()

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(boolean useFieldEditor)

Parameters:
  `useFieldEditor` - Whether to use FieldEditor in the vendor-neatural part.

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(int style)

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(java.lang.String title,
                                         org.eclipse.jface.resource.ImageDescriptor image,
                                         int style)

### AbstractDBPreferenceFieldPage

    public AbstractDBPreferenceFieldPage(java.lang.String title,
                                         int style)

Method Detail

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  subclass should override this method to set proper preference store

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)

  Specified by:
    `handleEvent` in interface `org.eclipse.swt.widgets.Listener`

### getPreferencePageId

    public abstract java.lang.String getPreferencePageId()